Index: music/views/avg_price_per_artist.sql
===================================================================
--- music/views/avg_price_per_artist.sql	(revision 75ea229d549bcf10342f483dbb27e69334411131)
+++ 	(revision )
@@ -1,8 +1,0 @@
-CREATE VIEW avg_price_per_artist AS
-SELECT
-    ar.name,
-    COALESCE( ROUND(avg(t.unit_price), 2)::text, 'not enogu data') as avg_price_per_track
-FROM artist ar
-left join album a on ar.artist_id = a.artist_id
-left join track t on a.album_id = t.album_id
-group by ar.name
Index: music/views/avg_song_duration_per_artist.sql
===================================================================
--- music/views/avg_song_duration_per_artist.sql	(revision 75ea229d549bcf10342f483dbb27e69334411131)
+++ 	(revision )
@@ -1,7 +1,0 @@
-CREATE VIEW  avg_track_duration_per_artist AS
-SELECT ar.name as artist_name, concat(ceil(avg(milliseconds) / 1000), 's') as avg_track_duration_in_seconds
-FROM artist ar
-left join album al on ar.artist_id = al.album_id
-left join track tr on al.album_id = tr.album_id
-group by ar.name
-order by ar.name
Index: music/views/media_type_percentage.sql
===================================================================
--- music/views/media_type_percentage.sql	(revision 75ea229d549bcf10342f483dbb27e69334411131)
+++ 	(revision )
@@ -1,12 +1,0 @@
-CREATE VIEW media_type_percentage AS
-with cte as (SELECT count(track_id) as total
-             FROM media_type mt
-                      left join track tr on mt.media_type_id = tr.media_type_id)
-SELECT mt.name                                          as media_type,
-       count(tr.track_id)                               as num_of_tracks,
-       round(count(tr.track_id) * 100.0 / cte.total, 2) as percentage
-FROM media_type mt
-         left join track tr on mt.media_type_id = tr.media_type_id
-         cross join cte
-group by mt.media_type_id, mt.name, cte.total
-order by percentage desc
Index: music/views/most_listened_genre_per_customer.sql
===================================================================
--- music/views/most_listened_genre_per_customer.sql	(revision 75ea229d549bcf10342f483dbb27e69334411131)
+++ 	(revision )
@@ -1,17 +1,0 @@
-CREATE VIEW most_listened_genre_per_customer AS
-WITH genre_count AS
-         (SELECT c.customer_id, c.first_name, c.last_name, g.name as genre, count(tr.track_id) as num_songs_per_genre
-          FROM customer c
-                   left join invoice i on c.customer_id = i.customer_id
-                   left join invoice_line il on i.invoice_id = il.invoice_id
-                   left join track tr on il.track_id = tr.track_id
-                   left join genre g on tr.genre_id = g.genre_id
-          group by c.customer_id, c.first_name, c.last_name, g.genre_id, g.name
-          order by c.first_name, num_songs_per_genre desc),
-     ranked_genres AS (SELECT *,
-                              ROW_NUMBER() OVER (PARTITION BY customer_id ORDER BY num_songs_per_genre DESC) AS rn
-                       FROM genre_count)
-SELECT first_name, last_name, genre as most_listened_genre
-FROM ranked_genres
-WHERE rn = 1
-ORDER BY first_name, last_name;
Index: music/views/rang_list_most_active_customers_view.sql
===================================================================
--- music/views/rang_list_most_active_customers_view.sql	(revision 75ea229d549bcf10342f483dbb27e69334411131)
+++ 	(revision )
@@ -1,9 +1,0 @@
-CREATE  VIEW rank_list_most_active_customers_view AS
-SELECT
-    c.first_name || ' ' || c.last_name as name,
-    COUNT(i.invoice_id) as total_orders,
-    SUM(i.total) as total_money_spent
-from customer c
-LEFT JOIN invoice i on c.customer_id = i.customer_id
-GROUP BY c.first_name, c.last_name
-order by total_money_spent desc
Index: music/views/rank_list_artists.sql
===================================================================
--- music/views/rank_list_artists.sql	(revision 75ea229d549bcf10342f483dbb27e69334411131)
+++ 	(revision )
@@ -1,11 +1,0 @@
-CREATE VIEW rank_list_artists AS
-SELECT ar.name,
-       count(il.invoice_line_id) AS num_invoices,
-       COALESCE(SUM(i.total), 0) AS money_earned
-FROM artist ar
-         LEFT JOIN album al ON ar.artist_id = al.album_id
-         LEFT JOIN track tr ON al.album_id = tr.album_id
-         LEFT JOIN invoice_line il ON tr.track_id = il.track_id
-         LEFT JOIN invoice i on il.invoice_id = i.invoice_id
-GROUP BY ar.name
-ORDER BY money_earned DESC;
